﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.RBAC;
@{
    var list = Context.Session.GetObject<List<CyberaniumModels.RBAC>>("RoleList");
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>@ViewData["Title"] - Cyberanium</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="~/css/KoolChart.css" rel="stylesheet" />

    <link href="~/lib/bootstrap/dist/css/bootstrap.css" rel="stylesheet" />
    <!--font awesome don't remove any content-->
    <link href="~/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    @*<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha512-SfTiTlX6kk+qitfevl/7LibUOeJWlt9rbyDn92a1DqWOw9vWG2MFoays0sgObmWazO5BQPiFucnnEAjpAB+/Sw==" crossorigin="anonymous" referrerpolicy="no-referrer" />*@
    <link href="https://cdn.datatables.net/1.10.15/css/dataTables.bootstrap.min.css" rel="stylesheet" />
    <link href="https://cdn.datatables.net/responsive/2.1.1/css/responsive.bootstrap.min.css" rel="stylesheet" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/css/bootstrap.min.css">
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap-glyphicons.css">
    <link href="~/lib/jquery-toastr/css/toastr.css" rel="stylesheet" />
    <link href="~/css/bootstrap-multiselect.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link rel="stylesheet" href="~/css/dashboard.css">
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@9.17.2/dist/sweetalert2.min.css" rel="stylesheet" />
    <link href="~/lib/jquery-tooltip/css/tooltip.css" rel="stylesheet" />

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <style>
        .loader {
            position: absolute;
            width: auto;
            height: auto;
            margin: -25px 0 0 -25px;
            top: 50%;
            left: 50%;
            text-align: center;
        }
    </style>
</head>
<body class="wrapper active_nav">
    <!-- Modal -->
    <div class="modal" id="networkModal" tabindex="-1" role="dialog" aria-labelledby="networkModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title text-danger" id="networkModalLabel">Network error</h1>
                    @*<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>*@
                </div>
                <div class="modal-body">
                    <h3 class="text-md-center"><i class="fa fa-wifi text-danger" aria-hidden="true"></i> not available.Try again later.</h3>
                </div>
            </div>
        </div>
    </div>
    <div id="preloader"></div>
    <div class="header">
        <div class="container-fluid">
            <div class="row">
                <div class="col-20 xs-col-20">
                    <div class="toggle_nav"><span></span></div>
                    <div class="logo">
                        <img src="~/Image/kpmg_logo_blue.png" alt="" />
                    </div>
                </div>
                <div class="col-80 xs-col-80">
                    <div class="toggleNav">

                        <div id="nav-icon2">
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>

                    </div>
                    @*<div class="toggleNav"><span></span></div>*@
                    <div class="user_login">
                        <div class="dropdown login_button">
                            <button class="use_login_btn dropdown-toggle" type="button" data-toggle="dropdown">
                                Welcome @(Context.Session.GetString("UserName"))
                                @*<span class="caret"></span>*@
                            </button>
                            <div class="dropdown-menu user_dropdonw">
                                <a class="dropdown-item" asp-action="Logout" asp-controller="Login" asp-area="ApplicationManagement">Logout</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <section>
        <div class="content_section">
            <div class="col-20 fixed_left">
                <div class="left_panel">
                    <div class="left_menu ">
                        <ul class="menu">
                            @foreach (var ParentMenu in list.Where(x => x.ParentMenuId == 0 && x.ChildMenuId == 0))
                            {
                                @if (ParentMenu.MenuId == 2 || ParentMenu.MenuId == 55)
                                {
                                    @if (ParentMenu.MenuId == 2)
                                    {
                                        <li>
                                            <a href="/Dashboard/Landing/Index" class="active" id="Menu_@ParentMenu.MenuId">
                                                <span class="icons">
                                                    <img src="~/Image/@ParentMenu.Icon">
                                                </span>
                                                <span class="text_name">@ParentMenu.MenuTitle</span>
                                            </a>
                                        </li>
                                    }
                                    else
                                    {
                                        <li>
                                            <a href="/ApplicationManagement/Organogram/TabMenu" class="active" id="Menu_@ParentMenu.MenuId">
                                                <span class="icons">
                                                    <img src="~/Image/@ParentMenu.Icon">
                                                </span>
                                                <span class="text_name">@ParentMenu.MenuTitle</span>
                                            </a>
                                        </li>
                                    }
                                }
                                else
                                {
                                    @if (ParentMenu.SubMenuId == 1)
                                    {
                                        <li>
                                            <a data-ajax="true" data-ajax-method="GET" id="Menu_@ParentMenu.MenuId" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-area="@ParentMenu.Area" asp-controller="@ParentMenu.Controller" asp-action="@ParentMenu.Action">
                                                <span class="icons">
                                                    <img src="~/Image/@ParentMenu.Icon">
                                                </span>
                                                <span class="text_name">@ParentMenu.MenuTitle</span>
                                            </a>
                                        </li>
                                    }
                                    else
                                    {
                                        <li class="pr_menu">
                                            <a id="Menu_@ParentMenu.MenuId">
                                                <span class="icons">
                                                    <img src="~/Image/@ParentMenu.Icon">
                                                </span>
                                                <span class="text_name">@ParentMenu.MenuTitle</span>
                                            </a>
                                            <ul class="submenuP">
                                                @foreach (var childMenu in list.Where(x => x.ParentMenuId == ParentMenu.MenuId && x.ChildMenuId == 0))
                                                {
                                                    <li>
                                                        <a data-ajax="true" data-ajax-method="GET" id="Menu_@childMenu.MenuId" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-area="@childMenu.Area" asp-controller="@childMenu.Controller" asp-action="@childMenu.Action">
                                                            <span class="text_name">@childMenu.MenuTitle</span>
                                                        </a>
                                                        @*@if (@childMenu.MenuType == 0)
                                                            {
                                                                 <a id="Menu_@childMenu.MenuId">
                                                                     <span class="text_name">@childMenu.MenuTitle</span>
                                                                 </a>
                                                                 <ul class="submenu">
                                                                         @foreach (var subMenu in list.Where(x => x.ParentMenuId == ParentMenu.MenuId && x.ChildMenuId == childMenu.MenuId))
                                                                         {
                                                                             <li>
                                                                                 <a data-ajax="true" data-ajax-method="GET" id="Menu_@childMenu.MenuId" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-area="@subMenu.Area" asp-controller="@subMenu.Controller" asp-action="@subMenu.Action">
                                                                                     <span class="icons">
                                                                                         <img src="~/Image/@subMenu.Icon">
                                                                                     </span>
                                                                                     <span class="text_name">@subMenu.MenuTitle</span>
                                                                                 </a>
                                                                             </li>
                                                                         }
                                                                     </ul>
                                                             }
                                                                 {
                                                                      <a id="Menu_@childMenu.MenuId">
                                                                          <span class="text_name">@childMenu.MenuTitle</span>
                                                                      </a>
                                                                      <ul class="submenu">
                                                                              @foreach (var subMenu in list.Where(x => x.ParentMenuId == ParentMenu.MenuId && x.ChildMenuId == childMenu.MenuId))
                                                                              {
                                                                                  <li>
                                                                                      <a data-ajax="true" data-ajax-method="GET" id="Menu_@childMenu.MenuId" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-area="@subMenu.Area" asp-controller="@subMenu.Controller" asp-action="@subMenu.Action">
                                                                                          <span class="icons">
                                                                                              <img src="~/Image/@subMenu.Icon">
                                                                                          </span>
                                                                                          <span class="text_name">@subMenu.MenuTitle</span>
                                                                                      </a>
                                                                                  </li>
                                                                              }
                                                                          </ul>
                                                                  }
                                                                      {
                                                                          <a id="Menu_@childMenu.MenuId">
                                                                              <span class="text_name">@childMenu.MenuTitle</span>
                                                                          </a>
                                                                          <ul class="submenu">
                                                                                  @foreach (var subMenu in list.Where(x => x.ParentMenuId == ParentMenu.MenuId && x.ChildMenuId == childMenu.MenuId))
                                                                                  {
                                                                                      <li>
                                                                                          <a data-ajax="true" data-ajax-method="GET" id="Menu_@childMenu.MenuId" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-area="@subMenu.Area" asp-controller="@subMenu.Controller" asp-action="@subMenu.Action">
                                                                                              <span class="icons">
                                                                                                  <img src="~/Image/@subMenu.Icon">
                                                                                              </span>
                                                                                              <span class="text_name">@subMenu.MenuTitle</span>
                                                                                          </a>
                                                                                      </li>
                                                                                  }
                                                                              </ul>
                                                                      }*@
                                                    </li>
                                                }
                                            </ul>
                                        </li>
                                    }
                                }
                            }
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="container_lay" id="ajaxresult">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>
    @*<footer class="border-top footer text-muted">
            <div class="container">
                &copy; 2021 - Cyberanium - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
            </div>
        </footer>*@

    @*<script src="~/js/Chart.min.js"></script>
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>*@

    <script src="~/Script/Master/loader.js"></script>

    <script src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.15/js/dataTables.bootstrap4.min.js"></script>
    <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
    <script src="~/lib/jquery-validation/dist/additional-methods.js"></script>
    <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
    <script src="~/lib/jquery-ajax-unobtrusive/dist/jquery.unobtrusive-ajax.min.js"></script>
    <script src="~/js/custom_jquery.js"></script>
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/Script/Master/Layout.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="~/js/bootstrap-multiselect.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9.17.2/dist/sweetalert2.all.min.js"></script>
    <script src="~/lib/jquery-toastr/scripts/toastr.js" asp-append-version="true"></script>

    <link href="~/lib/jquery-tooltip/js/jquery.tooltip.js" rel="stylesheet" />
    <script src="~/lib/chosen/chosen.jquery.min.js"></script>
    <link href="~/css/Chosen-Select.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {

            $('.toggleNav').click(function () {
                $('body').toggleClass('active_nav');
            });
            $('#preloader').hide();
            toastr.options = {
                closeButton: true,
                progressBar: true,
                positionClass: 'toast-top-center',
                preventDuplicates: false,
                onclick: null,
                showDuration: "100",
                hideDuration: "1000",
                timeOut: "5000",
                extendedTimeOut: "1000",
                showEasing: "swing",
                hideEasing: "linear",
                showMethod: "show",
                hideMethod: "hide"
            };
            var _gaq = _gaq || [];
            _gaq.push(['_setAccount', 'UA-36251023-1']);
            _gaq.push(['_setDomainName', 'jqueryscript.net']);
            _gaq.push(['_trackPageview']);
            (function () {
                var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
                ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
                var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
            })();
        });
        $(document).ajaxStart(function () {
            $('#preloader').show();
        }).ajaxStop(function () {
            $('#preloader').hide();
        });
        setInterval(function () {
            //$.ajax({
            //    url: "/ApplicationManagement/Login/checkInterNetConnection",
            //    type: "GET",
            //    data: {},
            //    success: function (res) {
            //        $('#preloader').hide();
            //        if (!res) {
            //          //  $("#networkModal").modal("show");
            //        } else {
            //            $("#networkModal").modal("hide");
            //        }
            //    },
            //    error: function (ex) {
            //        console.log(ex.responseText);
            //    }
            //});
            $('#preloader').hide();
        }, 15000);
    </script>
    <script>

        $(document).ready(function () {
            $('#nav-icon2').click(function () {
                $(this).toggleClass('open');
            });
        });
                                                        //function Fn_ActiveMenu(Id) {
                                                        //    debugger
                                                        //    if ($("#Menu_" + Id).hasClass('active')) {
                                                        //        $("#Menu_" + Id).removeClass('active');
                                                        //    } else {
                                                        //        $(".left_menu ul li a").removeClass("active");
                                                        //        $("#Menu_" + Id).addClass('active');
                                                        //    }
                                                        //}
                                                                //function Fn_ActiveMenu(Id) {
                                                                //    debugger
                                                                //    if ($("#Menu_" + Id).hasClass('active')) {
                                                                //        $("#Menu_" + Id).removeClass('active');
                                                                //    } else {
                                                                //        $(".left_menu ul li a").removeClass("active");
                                                                //        $("#Menu_" + Id).addClass('active');
                                                                //    }
                                                                //}

                                                    //function Fn_ActiveMenu(Id) {
                                                    //    debugger
                                                    //    if ($("#Menu_" + Id).hasClass('active')) {
                                                    //        $("#Menu_" + Id).removeClass('active');
                                                    //    } else {
                                                    //        $(".left_menu ul li a").removeClass("active");
                                                    //        $("#Menu_" + Id).addClass('active');
                                                    //    }
                                                    //}
                                                            //function Fn_ActiveMenu(Id) {
                                                            //    debugger
                                                            //    if ($("#Menu_" + Id).hasClass('active')) {
                                                            //        $("#Menu_" + Id).removeClass('active');
                                                            //    } else {
                                                            //        $(".left_menu ul li a").removeClass("active");
                                                            //        $("#Menu_" + Id).addClass('active');
                                                            //    }
                                                            //}
    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>